Skip to content

Örnek İstek & Yanıt ​

Refund (İade) işlemi için, istek ve yanıt örneğini aşağıda bulabilirsiniz.

Endpoint ​

POST /api/Payment/Refund

İstek Gövdesi (Request Body) ​

http
POST/api/Payment/Refund
Headers:
  x_client_token: your_client_token_here  
  x_nonce: 0e72e797-3b4d-4c9e-be17-be453506108d
  x_timestamp: 20251209133409
  x_signature: generated_signature_hash
  Content-Type: application/json
  
  {
    "processId": "b1317c7d-d231-4ba5-8e9b-79ccba8dbdf2",
    "orderId": "d4b5a3af-3c1a-4272-8de2-20f9ca88fd1a",
    "lang": "TR",
    "amount": 1000,
    "pointAmount": 500,
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "test deneme"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "processId": "53f31db4-adfa-4831-8eaa-8932b06a217a",
        "orderId": "d4b5a3af-3c1a-4272-8de2-20f9ca88fd1a",
        "resultMessage": "Approved. ",
        "resultCode": "",
        "procReturnCode": "00",
        "authCode": "571839",
        "secureType": "Non-3DS",
        "txnType": "Refund",
        "cardMask": "54308115rlrgld23",
        "amount": 1000,
        "pointAmount": 500,
        "installmentCount": 4,
        "merchantId": "000000001002585",
        "terminalId": "VP003636",
        "batchNo": 55146,
        "processDate": "2025-12-09T13:34:09.0680374+03:00",
        "rrn": "525915008484",
        "additionalInfo": "no: 123456789",
        "invoiceInfo": "test deneme",
        "ecommerceTxnType": 0,
        "txnInitiationType": 0
    }
}